Skip to main content
GET
/
dca
/
token
/
{mint}
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getDcaTokenFlow('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');
{
  "mint": "So11111111111111111111111111111111111111112",
  "buyers": {
    "count": 12,
    "volumeUsd": 45000
  },
  "sellers": {
    "count": 8,
    "volumeUsd": 22000
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getDcaTokenFlow('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN');

Authorizations

x-api-key
string
header
required

API Key for authentication

Path Parameters

mint
string
required

Query Parameters

program
string
default:jupiter

DCA program to query. Aliases: dex, platform. Default: jupiter. Use GET /dca/programs for supported ids.

limit
integer
default:200

Max results. Default 200, max 1000.

Required range: 1 <= x <= 1000
cursor
string

Pagination cursor — last order address from the previous page. Must be used with the same sort, status, and program. Invalid cursor returns 400 INVALID_CURSOR.

sort
enum<string>
default:volume

Sort field. Alias: sortBy. Default: volume.

Available options:
volume,
deposited,
remaining,
progress,
recent,
created,
status
status
enum<string>
default:all

Filter by order status. Default: all.

Available options:
active,
paused,
completed,
pending,
all

Response

Successful response

mint
string
buyers
object
sellers
object